Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -1147,7 +1448,673 @@
   CellR                                         string
 
+=head3 XMP crd Tags
+
+Adobe Camera Raw Defaults tags.
+
+These tags belong to the ExifTool XMP-crd family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AlreadyApplied                                boolean/
+  AutoBrightness                                boolean/
+  AutoContrast                                  boolean/
+  AutoExposure                                  boolean/
+  AutoLateralCA                                 integer/
+  AutoShadows                                   boolean/
+  AutoTone                                      boolean/
+  AutoToneDigest                                string/
+  AutoToneDigestNoSat                           string/
+  AutoWhiteVersion                              integer/
+  Blacks2012                                    integer/
+  BlueHue                                       integer/
+  BlueSaturation                                integer/
+  Brightness                                    integer/
+  CameraModelRestriction                        string/
+  CameraProfile                                 string/
+  CameraProfileDigest                           string/
+  ChromaticAberrationB                          integer/
+  ChromaticAberrationR                          integer/
+  CircularGradientBasedCorrections              Correction Struct+
+  CircGradBasedCorrActive                       boolean/_
+  CircGradBasedCorrAmount                       real/_
+  CircGradBasedCorrMasks                        CorrectionMask Struct_+
+  CircGradBasedCorrMaskAlpha                    real/_
+  CircGradBasedCorrMaskAngle                    real/_
+  CircGradBasedCorrMaskBottom                   real/_
+  CircGradBasedCorrMaskCenterValue              real/_
+  CircGradBasedCorrMaskCenterWeight             real/_
+  CircGradBasedCorrMaskDabs                     string/_
+  CircGradBasedCorrMaskFeather                  real/_
+  CircGradBasedCorrMaskFlipped                  boolean/_
+  CircGradBasedCorrMaskFlow                     real/_
+  CircGradBasedCorrMaskFullX                    real/_
+  CircGradBasedCorrMaskFullY                    real/_
+  CircGradBasedCorrMaskLeft                     real/_
+  CircGradBasedCorrMaskValue                    real/_
+  CircGradBasedCorrMaskMidpoint                 real/_
+  CircGradBasedCorrMaskPerimeterValue           real/_
+  CircGradBasedCorrMaskRadius                   real/_
+  CircGradBasedCorrMaskRight                    real/_
+  CircGradBasedCorrMaskRoundness                real/_
+  CircGradBasedCorrMaskSizeX                    real/_
+  CircGradBasedCorrMaskSizeY                    real/_
+  CircGradBasedCorrMaskTop                      real/_
+  CircGradBasedCorrMaskVersion                  integer/_
+  CircGradBasedCorrMaskWhat                     string/_
+  CircGradBasedCorrMaskX                        real/_
+  CircGradBasedCorrMaskY                        real/_
+  CircGradBasedCorrMaskZeroX                    real/_
+  CircGradBasedCorrMaskZeroY                    real/_
+  CircGradBasedCorrRangeMask                    CorrectionRangeMask Struct_+
+  CircGradBasedCorrRangeMaskColorAmount         real/_+
+  CircGradBasedCorrRangeMaskDepthFeather        real/_+
+  CircGradBasedCorrRangeMaskDepthMax            real/_+
+  CircGradBasedCorrRangeMaskDepthMin            real/_+
+  CircGradBasedCorrRangeMaskLumFeather          real/_+
+  CircGradBasedCorrRangeMaskLumMax              real/_+
+  CircGradBasedCorrRangeMaskLumMin              real/_+
+  CircGradBasedCorrRangeMaskType                string/_+
+  CircGradBasedCorrRangeMaskVersion             string/_+
+  CircGradBasedCorrBlacks2012                   real/_
+  CircGradBasedCorrBrightness                   real/_
+  CircGradBasedCorrClarity                      real/_
+  CircGradBasedCorrClarity2012                  real/_
+  CircGradBasedCorrContrast                     real/_
+  CircGradBasedCorrContrast2012                 real/_
+  CircGradBasedCorrDefringe                     real/_
+  CircGradBasedCorrDehaze                       real/_
+  CircGradBasedCorrExposure                     real/_
+  CircGradBasedCorrExposure2012                 real/_
+  CircGradBasedCorrHighlights2012               real/_
+  CircGradBasedCorrHue                          real/_
+  CircGradBasedCorrLuminanceNoise               real/_
+  CircGradBasedCorrMoire                        real/_
+  CircGradBasedCorrSaturation                   real/_
+  CircGradBasedCorrShadows2012                  real/_
+  CircGradBasedCorrSharpness                    real/_
+  CircGradBasedCorrTemperature                  real/_
+  CircGradBasedCorrTexture                      real/_
+  CircGradBasedCorrTint                         real/_
+  CircGradBasedCorrHue                          real/_
+  CircGradBasedCorrSaturation                   real/_
+  CircGradBasedCorrWhites2012                   real/_
+  CircGradBasedCorrWhat                         string/_
+  Clarity                                       integer/
+  Clarity2012                                   integer/
+  ClipboardAspectRatio                          integer/
+  ClipboardOrientation                          integer/
+  Cluster                                       string/
+  ColorGradeBlending                            integer/
+  ColorGradeGlobalHue                           integer/
+  ColorGradeGlobalLum                           integer/
+  ColorGradeGlobalSat                           integer/
+  ColorGradeHighlightLum                        integer/
+  ColorGradeMidtoneHue                          integer/
+  ColorGradeMidtoneLum                          integer/
+  ColorGradeMidtoneSat                          integer/
+  ColorGradeShadowLum                           integer/
+  ColorNoiseReduction                           integer/
+  ColorNoiseReductionDetail                     integer/
+  ColorNoiseReductionSmoothness                 integer/
+  ContactInfo                                   string/
+  Contrast                                      integer/
+  Contrast2012                                  integer/
+  Converter                                     string/
+  ConvertToGrayscale                            boolean/
+  Copyright                                     string/
+  CropAngle                                     real/
+  CropBottom                                    real/
+  CropConstrainToWarp                           integer/
+  CropHeight                                    real/
+  CropLeft                                      real/
+  CropRight                                     real/
+  CropTop                                       real/
+  CropUnit                                      integer/
+  CropUnits                                     integer/
+  CropWidth                                     real/
+  DefaultAutoGray                               boolean/
+  DefaultAutoTone                               boolean/
+  DefaultsSpecificToISO                         boolean/
+  DefaultsSpecificToSerial                      boolean/
+  Defringe                                      integer/
+  DefringeGreenAmount                           integer/
+  DefringeGreenHueHi                            integer/
+  DefringeGreenHueLo                            integer/
+  DefringePurpleAmount                          integer/
+  DefringePurpleHueHi                           integer/
+  DefringePurpleHueLo                           integer/
+  Dehaze                                        real/
+  Description                                   lang-alt/
+  DNGIgnoreSidecars                             boolean/
+  Exposure                                      real/
+  Exposure2012                                  real/
+  FillLight                                     integer/
+  GradientBasedCorrections                      Correction Struct+
+  GradientBasedCorrActive                       boolean/_
+  GradientBasedCorrAmount                       real/_
+  GradientBasedCorrMasks                        CorrectionMask Struct_+
+  GradientBasedCorrMaskAlpha                    real/_
+  GradientBasedCorrMaskAngle                    real/_
+  GradientBasedCorrMaskBottom                   real/_
+  GradientBasedCorrMaskCenterValue              real/_
+  GradientBasedCorrMaskCenterWeight             real/_
+  GradientBasedCorrMaskDabs                     string/_
+  GradientBasedCorrMaskFeather                  real/_
+  GradientBasedCorrMaskFlipped                  boolean/_
+  GradientBasedCorrMaskFlow                     real/_
+  GradientBasedCorrMaskFullX                    real/_
+  GradientBasedCorrMaskFullY                    real/_
+  GradientBasedCorrMaskLeft                     real/_
+  GradientBasedCorrMaskValue                    real/_
+  GradientBasedCorrMaskMidpoint                 real/_
+  GradientBasedCorrMaskPerimeterValue           real/_
+  GradientBasedCorrMaskRadius                   real/_
+  GradientBasedCorrMaskRight                    real/_
+  GradientBasedCorrMaskRoundness                real/_
+  GradientBasedCorrMaskSizeX                    real/_
+  GradientBasedCorrMaskSizeY                    real/_
+  GradientBasedCorrMaskTop                      real/_
+  GradientBasedCorrMaskVersion                  integer/_
+  GradientBasedCorrMaskWhat                     string/_
+  GradientBasedCorrMaskX                        real/_
+  GradientBasedCorrMaskY                        real/_
+  GradientBasedCorrMaskZeroX                    real/_
+  GradientBasedCorrMaskZeroY                    real/_
+  GradientBasedCorrRangeMask                    CorrectionRangeMask Struct_+
+  GradientBasedCorrRangeMaskColorAmount         real/_+
+  GradientBasedCorrRangeMaskDepthFeather        real/_+
+  GradientBasedCorrRangeMaskDepthMax            real/_+
+  GradientBasedCorrRangeMaskDepthMin            real/_+
+  GradientBasedCorrRangeMaskLumFeather          real/_+
+  GradientBasedCorrRangeMaskLumMax              real/_+
+  GradientBasedCorrRangeMaskLumMin              real/_+
+  GradientBasedCorrRangeMaskType                string/_+
+  GradientBasedCorrRangeMaskVersion             string/_+
+  GradientBasedCorrBlacks2012                   real/_
+  GradientBasedCorrBrightness                   real/_
+  GradientBasedCorrClarity                      real/_
+  GradientBasedCorrClarity2012                  real/_
+  GradientBasedCorrContrast                     real/_
+  GradientBasedCorrContrast2012                 real/_
+  GradientBasedCorrDefringe                     real/_
+  GradientBasedCorrDehaze                       real/_
+  GradientBasedCorrExposure                     real/_
+  GradientBasedCorrExposure2012                 real/_
+  GradientBasedCorrHighlights2012               real/_
+  GradientBasedCorrHue                          real/_
+  GradientBasedCorrLuminanceNoise               real/_
+  GradientBasedCorrMoire                        real/_
+  GradientBasedCorrSaturation                   real/_
+  GradientBasedCorrShadows2012                  real/_
+  GradientBasedCorrSharpness                    real/_
+  GradientBasedCorrTemperature                  real/_
+  GradientBasedCorrTexture                      real/_
+  GradientBasedCorrTint                         real/_
+  GradientBasedCorrHue                          real/_
+  GradientBasedCorrSaturation                   real/_
+  GradientBasedCorrWhites2012                   real/_
+  GradientBasedCorrWhat                         string/_
+  GrainAmount                                   integer/
+  GrainFrequency                                integer/
+  GrainSeed                                     integer/
+  GrainSize                                     integer/
+  GrayMixerAqua                                 integer/
+  GrayMixerBlue                                 integer/
+  GrayMixerGreen                                integer/
+  GrayMixerMagenta                              integer/
+  GrayMixerOrange                               integer/
+  GrayMixerPurple                               integer/
+  GrayMixerRed                                  integer/
+  GrayMixerYellow                               integer/
+  GreenHue                                      integer/
+  GreenSaturation                               integer/
+  Group                                         lang-alt/
+  HasCrop                                       boolean/
+  HasSettings                                   boolean/
+  Highlight2012                                 integer/
+  HighlightRecovery                             integer/
+  Highlights2012                                integer/
+  HueAdjustmentAqua                             integer/
+  HueAdjustmentBlue                             integer/
+  HueAdjustmentGreen                            integer/
+  HueAdjustmentMagenta                          integer/
+  HueAdjustmentOrange                           integer/
+  HueAdjustmentPurple                           integer/
+  HueAdjustmentRed                              integer/
+  HueAdjustmentYellow                           integer/
+  IncrementalTemperature                        integer/
+  IncrementalTint                               integer/
+  JPEGHandling                                  string/
+  LensManualDistortionAmount                    integer/
+  LensProfileChromaticAberrationScale           integer/
+  LensProfileDigest                             string/
+  LensProfileDistortionScale                    integer/
+  LensProfileEnable                             integer/
+  LensProfileFilename                           string/
+  LensProfileIsEmbedded                         boolean/
+  LensProfileMatchKeyCameraModelName            string/
+  LensProfileMatchKeyExifMake                   string/
+  LensProfileMatchKeyExifModel                  string/
+  LensProfileMatchKeyIsRaw                      boolean/
+  LensProfileMatchKeyLensID                     string/
+  LensProfileMatchKeyLensInfo                   string/
+  LensProfileMatchKeyLensName                   string/
+  LensProfileMatchKeySensorFormatFactor         real/
+  LensProfileName                               string/
+  LensProfileSetup                              string/
+  LensProfileVignettingScale                    integer/
+  Look                                          Look Struct
+  LookAmount                                    string/_
+  LookCluster                                   string/_
+  LookCopyright                                 string/_
+  LookGroup                                     lang-alt/_
+  LookName                                      string/
+  LookParameters                                LookParms Struct_
+  LookParametersCameraProfile                   string/_
+  LookParametersClarity2012                     string/_
+  LookParametersConvertToGrayscale              string/_
+  LookParametersLookTable                       string/_
+  LookParametersProcessVersion                  string/_
+  LookParametersToneCurvePV2012                 string/_+
+  LookParametersVersion                         string/_
+  LookSupportsAmount                            string/_
+  LookSupportsMonochrome                        string/_
+  LookSupportsOutputReferred                    string/_
+  LookUUID                                      string/_
+  LuminanceAdjustmentAqua                       integer/
+  LuminanceAdjustmentBlue                       integer/
+  LuminanceAdjustmentGreen                      integer/
+  LuminanceAdjustmentMagenta                    integer/
+  LuminanceAdjustmentOrange                     integer/
+  LuminanceAdjustmentPurple                     integer/
+  LuminanceAdjustmentRed                        integer/
+  LuminanceAdjustmentYellow                     integer/
+  LuminanceNoiseReductionContrast               integer/
+  LuminanceNoiseReductionDetail                 integer/
+  LuminanceSmoothing                            integer/
+  MoireFilter                                   string/
+  Name                                          lang-alt/
+  NegativeCacheLargePreviewSize                 integer/
+  NegativeCacheMaximumSize                      real/
+  NegativeCachePath                             string/
+  OverrideLookVignette                          boolean/
+  PaintBasedCorrections                         Correction Struct+
+  PaintCorrectionActive                         boolean/_
+  PaintCorrectionAmount                         real/_
+  PaintBasedCorrectionMasks                     CorrectionMask Struct_+
+  PaintCorrectionMaskAlpha                      real/_
+  PaintCorrectionMaskAngle                      real/_
+  PaintCorrectionMaskBottom                     real/_
+  PaintCorrectionMaskCenterValue                real/_
+  PaintCorrectionMaskCenterWeight               real/_
+  PaintCorrectionMaskDabs                       string/_
+  PaintCorrectionMaskFeather                    real/_
+  PaintCorrectionMaskFlipped                    boolean/_
+  PaintCorrectionMaskFlow                       real/_
+  PaintCorrectionMaskFullX                      real/_
+  PaintCorrectionMaskFullY                      real/_
+  PaintCorrectionMaskLeft                       real/_
+  PaintCorrectionMaskValue                      real/_
+  PaintCorrectionMaskMidpoint                   real/_
+  PaintCorrectionMaskPerimeterValue             real/_
+  PaintCorrectionMaskRadius                     real/_
+  PaintCorrectionMaskRight                      real/_
+  PaintCorrectionMaskRoundness                  real/_
+  PaintCorrectionMaskSizeX                      real/_
+  PaintCorrectionMaskSizeY                      real/_
+  PaintCorrectionMaskTop                        real/_
+  PaintCorrectionMaskVersion                    integer/_
+  PaintCorrectionMaskWhat                       string/_
+  PaintCorrectionMaskX                          real/_
+  PaintCorrectionMaskY                          real/_
+  PaintCorrectionMaskZeroX                      real/_
+  PaintCorrectionMaskZeroY                      real/_
+  PaintCorrectionRangeMask                      CorrectionRangeMask Struct_+
+  PaintCorrectionRangeMaskColorAmount           real/_+
+  PaintCorrectionRangeMaskDepthFeather          real/_+
+  PaintCorrectionRangeMaskDepthMax              real/_+
+  PaintCorrectionRangeMaskDepthMin              real/_+
+  PaintCorrectionRangeMaskLumFeather            real/_+
+  PaintCorrectionRangeMaskLumMax                real/_+
+  PaintCorrectionRangeMaskLumMin                real/_+
+  PaintCorrectionRangeMaskType                  string/_+
+  PaintCorrectionRangeMaskVersion               string/_+
+  PaintCorrectionBlacks2012                     real/_
+  PaintCorrectionBrightness                     real/_
+  PaintCorrectionClarity                        real/_
+  PaintCorrectionClarity2012                    real/_
+  PaintCorrectionContrast                       real/_
+  PaintCorrectionContrast2012                   real/_
+  PaintCorrectionDefringe                       real/_
+  PaintCorrectionDehaze                         real/_
+  PaintCorrectionExposure                       real/_
+  PaintCorrectionExposure2012                   real/_
+  PaintCorrectionHighlights2012                 real/_
+  PaintCorrectionHue                            real/_
+  PaintCorrectionLuminanceNoise                 real/_
+  PaintCorrectionMoire                          real/_
+  PaintCorrectionSaturation                     real/_
+  PaintCorrectionShadows2012                    real/_
+  PaintCorrectionSharpness                      real/_
+  PaintCorrectionTemperature                    real/_
+  PaintCorrectionTexture                        real/_
+  PaintCorrectionTint                           real/_
+  PaintCorrectionHue                            real/_
+  PaintCorrectionSaturation                     real/_
+  PaintCorrectionWhites2012                     real/_
+  PaintCorrectionWhat                           string/_
+  ParametricDarks                               integer/
+  ParametricHighlights                          integer/
+  ParametricHighlightSplit                      integer/
+  ParametricLights                              integer/
+  ParametricMidtoneSplit                        integer/
+  ParametricShadows                             integer/
+  ParametricShadowSplit                         integer/
+  PerspectiveAspect                             integer/
+  PerspectiveHorizontal                         integer/
+  PerspectiveRotate                             real/
+  PerspectiveScale                              integer/
+  PerspectiveUpright                            integer/
+  PerspectiveVertical                           integer/
+  PerspectiveX                                  real/
+  PerspectiveY                                  real/
+  PostCropVignetteAmount                        integer/
+  PostCropVignetteFeather                       integer/
+  PostCropVignetteHighlightContrast             integer/
+  PostCropVignetteMidpoint                      integer/
+  PostCropVignetteRoundness                     integer/
+  PostCropVignetteStyle                         integer/
+  PresetType                                    string/
+  ProcessVersion                                string/
+  RawFileName                                   string/
+  RedEyeInfo                                    string/+
+  RedHue                                        integer/
+  RedSaturation                                 integer/
+  RetouchAreas                                  RetouchArea Struct+
+  RetouchAreaFeather                            real/_
+  RetouchAreaMasks                              CorrectionMask Struct_+
+  RetouchAreaMaskAlpha                          real/_
+  RetouchAreaMaskAngle                          real/_
+  RetouchAreaMaskBottom                         real/_
+  RetouchAreaMaskCenterValue                    real/_
+  RetouchAreaMaskCenterWeight                   real/_
+  RetouchAreaMaskDabs                           string/_
+  RetouchAreaMaskFeather                        real/_
+  RetouchAreaMaskFlipped                        boolean/_
+  RetouchAreaMaskFlow                           real/_
+  RetouchAreaMaskFullX                          real/_
+  RetouchAreaMaskFullY                          real/_
+  RetouchAreaMaskLeft                           real/_
+  RetouchAreaMaskValue                          real/_
+  RetouchAreaMaskMidpoint                       real/_
+  RetouchAreaMaskPerimeterValue                 real/_
+  RetouchAreaMaskRadius                         real/_
+  RetouchAreaMaskRight                          real/_
+  RetouchAreaMaskRoundness                      real/_
+  RetouchAreaMaskSizeX                          real/_
+  RetouchAreaMaskSizeY                          real/_
+  RetouchAreaMaskTop                            real/_
+  RetouchAreaMaskVersion                        integer/_
+  RetouchAreaMaskWhat                           string/_
+  RetouchAreaMaskX                              real/_
+  RetouchAreaMaskY                              real/_
+  RetouchAreaMaskZeroX                          real/_
+  RetouchAreaMaskZeroY                          real/_
+  RetouchAreaMethod                             string/_
+  RetouchAreaOffsetY                            real/_
+  RetouchAreaOpacity                            real/_
+  RetouchAreaSeed                               integer/_
+  RetouchAreaSourceState                        string/_
+  RetouchAreaSourceX                            real/_
+  RetouchAreaSpotType                           string/_
+  RetouchInfo                                   string/+
+  Saturation                                    integer/
+  SaturationAdjustmentAqua                      integer/
+  SaturationAdjustmentBlue                      integer/
+  SaturationAdjustmentGreen                     integer/
+  SaturationAdjustmentMagenta                   integer/
+  SaturationAdjustmentOrange                    integer/
+  SaturationAdjustmentPurple                    integer/
+  SaturationAdjustmentRed                       integer/
+  SaturationAdjustmentYellow                    integer/
+  Shadows                                       integer/
+  Shadows2012                                   integer/
+  ShadowTint                                    integer/
+  SharpenDetail                                 integer/
+  SharpenEdgeMasking                            integer/
+  SharpenRadius                                 real/
+  Sharpness                                     integer/
+  ShortName                                     lang-alt/
+  Smoothness                                    integer/
+  SortName                                      lang-alt/
+  SplitToningBalance                            integer/
+  SplitToningHighlightHue                       integer/
+  SplitToningHighlightSaturation                integer/
+  SplitToningShadowHue                          integer/
+  SplitToningShadowSaturation                   integer/
+  SupportsAmount                                boolean/
+  SupportsColor                                 boolean/
+  SupportsHighDynamicRange                      boolean/
+  SupportsMonochrome                            boolean/
+  SupportsNormalDynamicRange                    boolean/
+  SupportsOutputReferred                        boolean/
+  SupportsSceneReferred                         boolean/
+  ColorTemperature                              integer/
+  Texture                                       integer/
+  TIFFHandling                                  string/
+  Tint                                          integer/
+  ToggleStyleAmount                             integer/
+  ToggleStyleDigest                             string/
+  ToneCurve                                     string/+
+  ToneCurveBlue                                 string/+
+  ToneCurveGreen                                string/+
+  ToneCurveName                                 string/
+  ToneCurveName2012                             string/
+  ToneCurvePV2012                               string/+
+  ToneCurvePV2012Blue                           string/+
+  ToneCurvePV2012Green                          string/+
+  ToneCurvePV2012Red                            string/+
+  ToneCurveRed                                  string/+
+  ToneMapStrength                               real/
+  UprightCenterMode                             integer/
+  UprightCenterNormX                            real/
+  UprightCenterNormY                            real/
+  UprightDependentDigest                        string/
+  UprightFocalLength35mm                        real/
+  UprightFocalMode                              integer/
+  UprightFourSegmentsCount                      integer/
+  UprightPreview                                boolean/
+  UprightTransform_0                            string/
+  UprightTransform_1                            string/
+  UprightTransform_2                            string/
+  UprightTransform_3                            string/
+  UprightTransform_4                            string/
+  UprightTransform_5                            string/
+  UprightTransformCount                         integer/
+  UprightVersion                                integer/
+  UUID                                          string/
+  Version                                       string/
+  Vibrance                                      integer/
+  VignetteAmount                                integer/
+  VignetteMidpoint                              integer/
+  What                                          string/
+  WhiteBalance                                  string/
+  Whites2012                                    integer/
+
+=head3 XMP Correction Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  CorrectionActive                              boolean
+  CorrectionAmount                              real
+  CorrectionMasks                               CorrectionMask Struct+
+  CorrectionRangeMask                           CorrectionRangeMask Struct
+  LocalBlacks2012                               real
+  LocalBrightness                               real
+  LocalClarity                                  real
+  LocalClarity2012                              real
+  LocalContrast                                 real
+  LocalContrast2012                             real
+  LocalDefringe                                 real
+  LocalDehaze                                   real
+  LocalExposure                                 real
+  LocalExposure2012                             real
+  LocalHighlights2012                           real
+  LocalHue                                      real
+  LocalLuminanceNoise                           real
+  LocalMoire                                    real
+  LocalSaturation                               real
+  LocalShadows2012                              real
+  LocalSharpness                                real
+  LocalTemperature                              real
+  LocalTexture                                  real
+  LocalTint                                     real
+  LocalToningHue                                real
+  LocalToningSaturation                         real
+  LocalWhites2012                               real
+  What                                          string
+
+=head3 XMP CorrectionMask Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Alpha                                         real
+  Angle                                         real
+  Bottom                                        real
+  CenterValue                                   real
+  CenterWeight                                  real
+  Dabs                                          string+
+  Feather                                       real
+  Flipped                                       boolean
+  Flow                                          real
+  FullX                                         real
+  FullY                                         real
+  Left                                          real
+  MaskValue                                     real
+  Midpoint                                      real
+  PerimeterValue                                real
+  Radius                                        real
+  Right                                         real
+  Roundness                                     real
+  SizeX                                         real
+  SizeY                                         real
+  Top                                           real
+  Version                                       integer
+  What                                          string
+  X                                             real
+  Y                                             real
+  ZeroX                                         real
+  ZeroY                                         real
+
+=head3 XMP CorrectionRangeMask Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  ColorAmount                                   real
+  DepthFeather                                  real
+  DepthMax                                      real
+  DepthMin                                      real
+  LumFeather                                    real
+  LumMax                                        real
+  LumMin                                        real
+  Type                                          string
+  Version                                       string
+
+=head3 XMP Look Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Amount                                        string
+  Cluster                                       string
+  Copyright                                     string
+  Group                                         lang-alt
+  Name                                          string
+  Parameters                                    LookParms Struct
+  SupportsAmount                                string
+  SupportsMonochrome                            string
+  SupportsOutputReferred                        string
+  UUID                                          string
+
+=head3 XMP LookParms Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  CameraProfile                                 string
+  Clarity2012                                   string
+  ConvertToGrayscale                            string
+  LookTable                                     string
+  ProcessVersion                                string
+  ToneCurvePV2012                               string+
+  Version                                       string
+
+=head3 XMP RetouchArea Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Feather                                       real
+  Masks                                         CorrectionMask Struct+
+  Method                                        string
+  OffsetY                                       real
+  Opacity                                       real
+  Seed                                          integer
+  SourceState                                   string
+  SourceX                                       real
+  SpotType                                      string
+
+=head3 XMP creatorAtom Tags
+
+Adobe creatorAtom tags, written by After Effects.
+
+These tags belong to the ExifTool XMP-creatorAtom family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AeProjectLink                                 AEProjectLink Struct
+  AeProjectLinkCompositionID                    string_
+  AeProjectLinkFullPath                         string_
+  AeProjectLinkRenderOutputModuleIndex          string_
+  AeProjectLinkRenderQueueItemID                string_
+  AeProjectLinkRenderTimeStamp                  integer_
+  MacAtom                                       MacAtom Struct
+  MacAtomApplicationCode                        string_
+  MacAtomInvocationAppleEvent                   string_
+  MacAtomPosixProjectPath                       string_
+  WindowsAtom                                   WindowsAtom Struct
+  WindowsAtomExtension                          string_
+  WindowsAtomInvocationFlags                    string_
+  WindowsAtomUncProjectPath                     string_
+
+=head3 XMP AEProjectLink Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  CompositionID                                 string
+  FullPath                                      string
+  RenderOutputModuleIndex                       string
+  RenderQueueItemID                             string
+  RenderTimeStamp                               integer
+
+=head3 XMP MacAtom Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  ApplicationCode                               string
+  InvocationAppleEvent                          string
+  PosixProjectPath                              string
+
+=head3 XMP WindowsAtom Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Extension                                     string
+  InvocationFlags                               string
+  UncProjectPath                                string
+
 =head3 XMP crs Tags
 
-Photoshop Camera Raw Schema tags.
+Photoshop Camera Raw namespace tags.  It is a shame that Adobe pollutes the
+metadata space with these incredibly bulky image editing parameters.
+
+These tags belong to the ExifTool XMP-crs family 1 group.
 
   Tag Name                                      Writable
